#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	A library for generating Enhanced Metafiles
Summary(pl.UTF-8):	Biblioteka do generowania plików w formacie Enhanced Metafile
Name:		libEMF
Version:	1.0.7
Release:	1
License:	LGPL v2.1+ (library), GPL v2+ (utility)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libemf/%{name}-%{version}.tar.gz
# Source0-md5:	f1011f5cc254aa228be78704fe5f9960
Patch0:		%{name}-am.patch
Patch1:		%{name}-limits.patch
URL:		http://libemf.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel >= 5:3.0
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libEMF is a library for generating Enhanced Metafiles on systems which
don't natively support the ECMA-234 Graphics Device Interface
(GDI). The library is intended to be used as a driver for other
graphics programs such as Grace or gnuplot. Therefore, it implements a
very limited subset of the GDI.

%description -l pl.UTF-8
libEMF to biblioteka do generowania plików w formacie Enhanced
Metafile na systemach nie obsługujących natywnie systemu graficznego
ECMA-234 GDI. Biblioteka ma służyć jako sterownik dla innych programów
graficznych, takich jak Grace czy gnuplot. Z tego powodu ma
zaimplementowany bardzo ograniczony podzbiór GDI.

%package devel
Summary:	libEMF header files
Summary(pl.UTF-8):	Pliki nagłówkowe libEMF
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
libEMF header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libEMF.

%package static
Summary:	libEMF static library
Summary(pl.UTF-8):	Statyczna biblioteka libEMF
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libEMF static library.

%description static -l pl.UTF-8
Statyczna biblioteka libEMF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-editing \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/printemf
%attr(755,root,root) %{_libdir}/libEMF.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libEMF.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/libEMF.so
%{_libdir}/libEMF.la
%{_includedir}/libEMF

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libEMF.a
%endif
%changelog
* Fri Mar 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libEMF.git;a=log;h=master

* Fri Mar 22 2013 Jakub Bogusz <qboosh@pld-linux.org> cbf2363
- updated to 1.0.7
- added am patch (fixes build with automake 1.13)
- removed obsolete amd64 patch

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 12d06eb
- run autoheader
- more specific License

* Sat May 29 2010 Tomasz Pala <gotar@pld-linux.org> d513eac
- upgraded to 1.0.4

* Fri May 15 2009 Marcin Banasiak <marcin.banasiak@gmail.com> b215640
- release 2

* Fri May 15 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 1d98739
- more fixes (from fedora)

* Fri May 15 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 34f9ef7
- more verbose files

* Mon Sep 22 2008 witekfl <witekfl@pld-linux.org> 267772b
- added the limits.patch

* Mon Sep 22 2008 witekfl <witekfl@pld-linux.org> d5b6d3f
- compilation fix for gcc-4.3.2

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> afeb083
- added missing #

* Sun Jul 22 2007 witekfl <witekfl@pld-linux.org> 20388ae
- added bcond_without static_libs

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9eac1be
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6032551
- converted to UTF-8

* Sat Jan 28 2006 Jakub Bogusz <qboosh@pld-linux.org> ef4f8d9
- updated to 1.0.3, removed obsolete gcc3 patch, updated amd64 patch

* Sat Jan 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 0fb6b93
- updated for 1.0.3

* Sat Jan 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 2fa6d90
- obsolete

* Thu Jan 22 2004 Jacek Konieczny <jajcus@pld-linux.org> 54cc8a1
- Release: 2
- AMD64 fixes

* Thu Jan 22 2004 Jacek Konieczny <jajcus@pld-linux.org> b57c5bd
- AMD64 port for libEMF

* Tue Jun 17 2003 Jakub Bogusz <qboosh@pld-linux.org> 00aad3c
- gcc 3.x STL required

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 7dae87b
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f3b206b
- massive attack s/pld.org.pl/pld-linux.org/

